/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-23 10:19:38
 * @FilePath: /202103/code/test/tmp/RemoteOrder.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null

// `id` varchar(32) NOT NULL COMMENT 'id',
// `hospital_id` varchar(32) DEFAULT NULL COMMENT '医院名',
// `super_hospital_id` varchar(32) DEFAULT NULL COMMENT '医院地址',
// `exam_class` varchar(32) DEFAULT NULL COMMENT '检查类型',
// `doctor_id` varchar(32) DEFAULT NULL COMMENT '本地医生',
// `application_id` varchar(32) DEFAULT NULL COMMENT '申请单号',
// `super_doctor_id` varchar(32) DEFAULT NULL COMMENT '远程医生',
// `remark` text COMMENT '备注',
// `order_money` int(11) NOT NULL DEFAULT '0' COMMENT '订单费用',
// `pay_type` int(11) NOT NULL DEFAULT '0' COMMENT '支付类型 患者/医院',
// `pay_way` int(11) NOT NULL DEFAULT '0' COMMENT '支付方式 微信 支付宝 银联 挂账 等\r\n1 医院\r\n11 微信\r\n12 阿里支付宝\r\n13 银联',
// `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
// `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
// `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
// `status` int(11) NOT NULL DEFAULT '0' COMMENT '订单状态',
// `is_urgent` int(11) NOT NULL DEFAULT '0' COMMENT '是否急诊',
const RemoteOrder = sequelize.define('remote_order', {
  id: {type: Sequelize.STRING(32), allowNull: false, primaryKey: true}, // id,
  hospital_id: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // hospital_id, 医院名
  super_hospital_id: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // super_hospital_id, 医院地址
  exam_class: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // exam_class, 检查类型
  doctor_id: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // doctor_id, 本地医生
  application_id: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // application_id, 申请单号
  super_doctor_id: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // super_doctor_id, 远程医生
  remark: {type: Sequelize.TEXT, allowNull: true, defaultValue: null}, // remark, 备注
  order_money: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // order_money, 订单费用
  pay_type: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // pay_type, 支付类型 患者/医院
  pay_way: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // pay_way, 支付方式 微信 支付宝 银联 挂账 等\r\n1 医院\r\n11 微信\r\n12 阿里支付宝\r\n13 银联
  timestamp: {type: Sequelize.INTEGER(11),allowNull: false, defaultValue: 0}, // timestamp, 时间戳
  status: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // status, 订单状态
  is_urgent: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // is_urgent 是否急诊
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['application_id']}
  ],
});
RemoteOrder.sync({ force: false }).then(function() {});
export default RemoteOrder;